## ros-crystal-rviz2 5.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz2)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(rviz_common REQUIRED)

find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  set(imported_location "${qt5_install_prefix}/bin/windeployqt.exe")

  if(EXISTS ${imported_location})
    add_executable(Qt5::windeployqt IMPORTED)

    set_target_properties(Qt5::windeployqt PROPERTIES
      IMPORTED_LOCATION ${imported_location}
    )
  endif()
endif()

add_executable(${PROJECT_NAME}
  src/main.cpp
)
target_link_libraries(${PROJECT_NAME}
  rviz_common::rviz_common
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
)

# TODO(wjwwood): find a way to make this optional or to run without "deploying" the
#                necessary dlls and stuff to the bin folder.
#                see:
# https://stackoverflow.com/questions/41193584/deploy-all-qt-dependencies-when-building#41199492
if(TARGET Qt5::windeployqt)
  # execute windeployqt in a tmp directory after build
  add_custom_command(TARGET ${PROJECT_NAME}
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    COMMAND set PATH=%PATH%$<SEMICOLON>${qt5_install_prefix}/bin
    COMMAND
    Qt5::windeployqt
    --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    "$<TARGET_FILE_DIR:${PROJECT_NAME}>/$<TARGET_FILE_NAME:${PROJECT_NAME}>"
  )

  # copy deployment directory during installation
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION bin
  )
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION lib/${PROJECT_NAME}
  )
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(TARGETS ${PROJECT_NAME} DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  add_subdirectory(test)
endif()

set_target_properties(${PROJECT_NAME} PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

ament_package()

=== debian/changelog ===
ros-crystal-rviz2 (5.1.1-1bionic) bionic; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 06 Dec 2019 08:00:00 -0000

ros-crystal-rviz2 (5.1.0-1bionic) bionic; urgency=high

  * Update package maintainer for rviz2 (#365 <https://github.com/ros2/rviz/issues/365>)
    Thank you to Deanna for her contributions.
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-crystal-rviz2 (5.0.0-1bionic) bionic; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#357 <https://github.com/ros2/rviz/issues/357>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Contributors: Andreas Greimel, Chris Lalancette

 -- D. Hood <dhood@osrfoundation.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-crystal-rviz2 (4.0.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-crystal-rviz2 (4.0.0-1bionic) bionic; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Introduced a ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Added a dependency between rviz2 and rviz_default_plugins (#149 <https://github.com/ros2/rviz/issues/149>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Martin Idel, Mikael Arguedas, William Woodall

 -- D. Hood <dhood@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-crystal-rviz2 (3.0.0-1bionic) bionic; urgency=high

  * Numerous changes to support Windows.
  * Make rviz runnable with ros2 run.
  * Contributors: Andreas Holzner, Hunter Allen, Steven! Ragnarok, William Woodall

 -- D. Hood <dhood@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-crystal-rviz2 (1.12.11-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-crystal-rviz2 (1.12.10-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-crystal-rviz2 (1.12.9-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-crystal-rviz2 (1.12.8-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-crystal-rviz2 (1.12.7-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-crystal-rviz2 (1.12.6-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-crystal-rviz2 (1.12.5-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-crystal-rviz2 (1.12.4-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-crystal-rviz2 (1.12.3-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-crystal-rviz2 (1.12.2-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-crystal-rviz2 (1.12.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-crystal-rviz2 (1.12.0-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-crystal-rviz2 (1.11.14-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-crystal-rviz2 (1.11.13-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-crystal-rviz2 (1.11.12-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-crystal-rviz2 (1.11.11-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-crystal-rviz2 (1.11.10-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-crystal-rviz2 (1.11.9-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-crystal-rviz2 (1.11.8-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-crystal-rviz2 (1.11.7-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-crystal-rviz2 (1.11.6-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-crystal-rviz2 (1.11.5-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-crystal-rviz2 (1.11.4-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-crystal-rviz2 (1.11.3-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-crystal-rviz2 (1.11.2-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 13 May 2014 07:00:00 -0000

ros-crystal-rviz2 (1.11.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 01 May 2014 07:00:00 -0000

ros-crystal-rviz2 (1.11.0-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 05 Mar 2014 05:40:00 -0000

ros-crystal-rviz2 (1.10.14-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 05 Mar 2014 05:35:00 -0000

ros-crystal-rviz2 (1.10.13-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 26 Feb 2014 08:00:00 -0000

ros-crystal-rviz2 (1.10.12-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-crystal-rviz2 (1.10.11-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 26 Jan 2014 08:00:00 -0000

ros-crystal-rviz2 (1.10.10-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-crystal-rviz2
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-cppcheck, ros-crystal-ament-cmake-cpplint, ros-crystal-ament-cmake-lint-cmake, ros-crystal-ament-cmake-uncrustify, ros-crystal-geometry-msgs, ros-crystal-rclcpp, ros-crystal-rviz-common, ros-crystal-rviz-ogre-vendor, ros-crystal-sensor-msgs, ros-crystal-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-crystal-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rviz-common, ros-crystal-rviz-default-plugins, ros-crystal-rviz-ogre-vendor, ros-crystal-ros-workspace
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-rviz2//opt/ros/crystal/lib/:$(CURDIR)/debian/ros-crystal-rviz2//opt/ros/crystal/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-crystal-rviz2//opt/ros/crystal/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-crystal-rviz2//opt/ros/crystal/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
